Index: libpolys/tests/coeffs_test.h
===================================================================
--- libpolys/tests/coeffs_test.h	(revision 9310cbb099615137456c0252eaee33a50d9db993)
+++ libpolys/tests/coeffs_test.h	(revision f323dd1d5224b28e86385dbae25bbc736620b24c)
@@ -5,5 +5,5 @@
 
 #include <reporter/reporter.h>
-#include <resources/feResource.h>
+#include <findexec/feResource.h>
 
 #include <coeffs/coeffs.h>
@@ -35,5 +35,5 @@
 
   const unsigned long ssss = (N * (N+1)) / 2;
-  
+
   number sum1 = n_Init(ssss, r);
   clog<< "N*(N+1)/2 (int: " << ssss << "): "; PrintSized(sum1, r);
@@ -45,9 +45,9 @@
   ndInpMult(s, i, r);
   n_Delete(&i, r);
-  
-  clog<< "N*(N+1): ("<< N*(N+1) << ")"; PrintSized(s, r);  
-  
+
+  clog<< "N*(N+1): ("<< N*(N+1) << ")"; PrintSized(s, r);
+
   i = n_Init(2, r);
-  clog<< "2: "; PrintSized(i, r);  
+  clog<< "2: "; PrintSized(i, r);
 
   if( !n_IsZero( i, r) )
@@ -56,7 +56,7 @@
     TS_ASSERT( n_DivBy(s, i, r) );
 #endif
-     
+
     res = n_Div(s, i, r);
-  
+
     clog<< "N*(N+1)/2: "; PrintSized(res, r);
 
@@ -65,5 +65,5 @@
     TS_ASSERT( n_IsZeroDivisor(d, r) );
     n_Delete(&d, r);
-    
+
     if( n_GetChar(r) == 0 )
     {
@@ -73,10 +73,10 @@
   } else
     TS_ASSERT_EQUALS( n_GetChar(r), 2);
-  
+
 
   n_Delete(&s, r);  n_Delete(&i, r);
-  
-  n_Delete(&sum1, r); n_Delete(&res, r);    
-  
+
+  n_Delete(&sum1, r); n_Delete(&res, r);
+
 
   s = n_Init(0  , r);
@@ -89,19 +89,19 @@
     i = n_Neg(i, r);
     ndInpAdd(ss, i, r); // ss -= i
-    
-    n_Delete(&i, r);    
+
+    n_Delete(&i, r);
   }
-  clog<< "ss: "; PrintSized(ss, r);  
+  clog<< "ss: "; PrintSized(ss, r);
 
   ss = n_Neg(ss, r); // ss = -ss
- 
+
   clog<< "real sum    : "; PrintSized(s, r);
-  clog<< "real sum(--): "; PrintSized(ss, r);  
+  clog<< "real sum(--): "; PrintSized(ss, r);
 
   TS_ASSERT( n_Equal(s, ss, r) );
   TS_ASSERT( n_Equal(ss, s, r) );
 
-  n_Delete(&s, r);    
-  n_Delete(&ss, r);    
+  n_Delete(&s, r);
+  n_Delete(&ss, r);
 
   clog << ( " >>> TEST DONE!" );
@@ -118,12 +118,12 @@
   number two = n_Init(2, r);
 
-  number t = n_Init(1, r);  
-  ndInpAdd(t, t, r);  
+  number t = n_Init(1, r);
+  ndInpAdd(t, t, r);
   TS_ASSERT( n_Equal(two, t, r) );
   n_Delete(&t, r);
-  
+
   if( getCoeffType(r) == n_Q )
   {
-    number t = n_Init(1, r);  
+    number t = n_Init(1, r);
     nlInpAdd(t, t, r);
     TS_ASSERT( n_Equal(two, t, r) );
@@ -133,12 +133,12 @@
 
 
-  
+
   const int N = 66666;
 
   number a = n_Init(N, r);
-   
+
   clog<< "a: "; PrintSized(a, r);
 
-  
+
   clog<< "two: "; PrintSized(two, r);
 
@@ -148,5 +148,5 @@
 
   clog<< "aa = a + a: "; PrintSized(aa, r);
-  
+
   number aa2 = n_Mult(a, two, r);
 
@@ -154,5 +154,5 @@
 
   number aa1 = n_Mult(two, a, r);
- 
+
   clog<< "aa1 = 2 * a: "; PrintSized(aa1, r);
 
@@ -162,5 +162,5 @@
 
   a = n_Sub( aa, aa1, r );
-  
+
   clog<< "a = aa - aa1: "; PrintSized(a, r);
 
@@ -187,9 +187,9 @@
 
 
-  
+
   TS_ASSERT( n_Equal(aa, aa1, r) );
   TS_ASSERT( n_Equal(aa, aa2, r) );
   TS_ASSERT( n_Equal(aa1, aa2, r) );
-  
+
   TS_ASSERT( n_Equal(aa0, aa, r) );
   TS_ASSERT( n_Equal(aa0, aa1, r) );
@@ -209,9 +209,9 @@
 
 
-  
+
 
 BOOLEAN Test(const n_coeffType type, void* p = NULLp)
 {
-  
+
   clog << endl;
   clog << ( "----------------------- Testing coeffs: [" + _2S(type) +  ", " + _2S(p) + "]: -----------------------");
@@ -230,5 +230,5 @@
   if( r->cfCoeffWrite != NULL )
   {
-    clog << "Coeff-domain: "  << endl; 
+    clog << "Coeff-domain: "  << endl;
     n_CoeffWrite(r); PrintLn();
   }
@@ -239,10 +239,10 @@
     number z = nfPar (0, r); // also any integer instead of 0//?
     clog << "Generator: "; PrintSized(z, r);
-    n_Delete(&z, r);    
+    n_Delete(&z, r);
   }
 
-  clog << "Char: " << n_GetChar(r) << endl; 
-
-  
+  clog << "Char: " << n_GetChar(r) << endl;
+
+
   TS_ASSERT_DIFFERS( r, NULLp );
   nSetChar( r );
@@ -262,5 +262,5 @@
       TS_ASSERT_EQUALS( r->cfAdd, nlAdd );
       TS_ASSERT_EQUALS( r->cfDelete, nlDelete );
-      
+
       TS_ASSERT(  nCoeff_is_Q( r ));
       TS_ASSERT(  nCoeff_is_Domain( r ));
@@ -283,5 +283,5 @@
       TS_ASSERT( !nCoeff_is_CF( r ));
       TS_ASSERT( !nCoeff_is_Extension( r ));
-      
+
       break;
     }
@@ -299,5 +299,5 @@
       TS_ASSERT_EQUALS( r->cfWrite, ngcWrite );
       TS_ASSERT_EQUALS( r->cfAdd, ngcAdd );
-      TS_ASSERT_EQUALS( r->cfDelete, ngcDelete );    
+      TS_ASSERT_EQUALS( r->cfDelete, ngcDelete );
       break;
     }
@@ -362,5 +362,5 @@
 
 
-class CoeffsTestSuite : public CxxTest::TestSuite 
+class CoeffsTestSuite : public CxxTest::TestSuite
 {
  public:
@@ -388,5 +388,5 @@
 #endif
    }
-   
+
    void simple(const n_coeffType _type)
    {
@@ -395,10 +395,10 @@
      TS_ASSERT( Test(type) );
    }
-   
+
    void test_Q()
    {
      simple(n_Q);
    }
-   
+
    void test_R()
    {
@@ -414,5 +414,5 @@
    }
 
-   
+
    void test_GF_toobig()
    {
@@ -427,5 +427,5 @@
      TS_ASSERT( !Test(type, (void*) &param) );
 
-      // it should not be used by numbers... right? 
+      // it should not be used by numbers... right?
       // TODO: what is our policy wrt param-pointer-ownership?
    }
@@ -445,8 +445,8 @@
      TS_ASSERT( Test(type, (void*) &param) );
 
-      // it should not be used by numbers... right? 
+      // it should not be used by numbers... right?
       // TODO: what is our policy wrt param-pointer-ownership?
    }
-   
+
 
    void test_Zn3()
@@ -472,10 +472,10 @@
      simple(n_long_R);
    }
-   
+
    void test_LC()
    {
      simple(n_long_C);
    }
-   
+
    void test_Q_special()
    {
@@ -489,8 +489,8 @@
      if (cf->cfCoeffWrite != NULL )
      {
-       clog << "Coeff-domain: "  << endl; 
+       clog << "Coeff-domain: "  << endl;
        n_CoeffWrite(cf); PrintLn();
      }
-     
+
      number q1 = n_Init(21, cf);
      number q2 = n_Init(2, cf);
